	processor p16f84
	__config 0x3ff5
	radix	dec

w	equ	0
f	equ	1

c	equ	0
dc	equ	1
z	equ	2

indf	equ	0x0
tmr0	equ	0x1
pcl	equ	0x2
status	equ	0x3
fsr	equ	0x4
porta	equ	0x5
portb	equ	0x6
eedata	equ	0x8
eeadr	equ	0x9
pclatch	equ	0xa
intcon	equ	0xb

optionr	equ	0x81
trisa	equ	0x85
trisb	equ	0x86
eecon1	equ	0x88
eecon2	equ	0x89

;----------------------------------------------
;------ RESET ----------------------------

	org	0
	goto ini
	org	4
	bcf intcon,2
	bcf eecon1,4
	retfie

ini:	movlw	0x33
	movwf	eeadr
	movlw	0x5a
	movwf	eedata
	BSF STATUS, 5
	BCF INTCON, 7
	BSF EECON1, 2
	MOVLW 0x55
	MOVWF EECON2
	MOVLW 0xAA
	MOVWF EECON2
	BSF EECON1, 1
	BSF INTCON, 7
	bsf intcon,6

buc:	goto buc

	movlw	0
	tris	portb
	movlw	0x30
	option
	movlw	0xa0
	movwf	intcon
	nop
	nop
	nop
	nop
	movlw	0xf0
	nop
	nop
	nop
	nop
	movwf	tmr0
cuel:	
	sleep
	incf	portb
	goto cuel
	nop
